Skip to main content
Back to API List Deletes customer data from the platform. The deletion does not proceed if the requested user is:
  • An account owner or belongs to one or more accounts.
  • The bot owner or co-developer for one or more bots.
PropertyValue
MethodDELETE
Endpointhttps://{{host}}/api/public/bot/eraseUsersData
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: Profile Management > Delete Users Data

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai

Sample Request

curl -X DELETE \
  'https://{{host}}/api/public/bot/eraseUsersData' \
  --header 'Content-Type: application/json' \
  --header 'auth: YOUR_JWT_ACCESS_TOKEN' \
  --data '{
    "userIds": ["u-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxx"],
    "botIds": ["st-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxxx"],
    "RemoveDataFromAllBots": true
  }'

Body Parameters

ParameterDescription
userIdsArray of user IDs to delete. Accepts Kore-generated user IDs (email or u-id), channel_user_id, or both channel_id and channel_user_id.
botIdsArray of AI Agent IDs from which to delete user data. Effective only when RemoveDataFromAllBots is false.
RemoveDataFromAllBots (optional)If true, deletes user data from all AI Agents in the organization and ignores botIds. Defaults to false.
To check the execution status of this request, use the Delete Customer Data Status API.

Sample Response

{
  "requestId": "eud-123",
  "status": "in-progress"
}